4Suite™ API Documentation

# ► Module Ft.Xml.XPointer.ParsedNodeTest

A Parsed Token that represents a node test. WWW: http://4suite.org/XPATH e-mail: support@4suite.org

    Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
    See  http://4suite.org/COPYRIGHT  for license and copyright information

Classes: PointNodeTest, RangeNodeTest |  |  |  | Functions: ParsedNameTest, ParsedNodeTest |  |  |  | Globals: g_classMap

## Classes

class PointNodeTest(Ft.Xml.XPath.ParsedNodeTest.NodeTestBase)

  ### Methods

  match(self, context, node, principalType)
    Overrides: match from class NodeTestBase

  ### Methods inherited from class Ft.Xml.XPath.ParsedNodeTest.NodeTestBase

  __str__, getQuickKey, pprint

  ### Members inherited from class Ft.Xml.XPath.ParsedNodeTest.NodeTestBase

  nodeType, priority
class RangeNodeTest(Ft.Xml.XPath.ParsedNodeTest.NodeTestBase)

  ### Methods

  match(self, context, node, principalType)
    Overrides: match from class NodeTestBase

  ### Methods inherited from class Ft.Xml.XPath.ParsedNodeTest.NodeTestBase

  __str__, getQuickKey, pprint

  ### Members inherited from class Ft.Xml.XPath.ParsedNodeTest.NodeTestBase

  nodeType, priority

## Functions

ParsedNameTest(name)
ParsedNodeTest(test, literal=None)

## Globals

g_classMap = {'point': <class Ft.Xml.XPointer.ParsedNodeTest.PointNodeTest>, 'range': <class Ft.Xml.XPointer.ParsedNodeTest.RangeNodeTest>}